/*
  Tutanchamun, an arcade game
  Copyright (C) 1998  David Kastrup
  
  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
  */
#include "tutan.h"
#include "tutdisp.h"

void killim(mcb *p)
{
  if (p->flag & (1<<DEATH))
    return;
  p->flag = (p->flag & (1<<PHASE)) | (1<<DEATH);
  p->downcn = 5;
  add10(p->mph->monsco);
}

void killall()
{
  mcb *p;
  int i;

  for (i=0, p=mymcb.next; i < nmons; ++i, p=p->next)
    killim(p);
  qstove();
}

void asksma()
{

  if (!d_smarky())
    return;
  if (nmons == 0 || playfield[player].smarts == 0)
    return;
  d_clearsma(--playfield[player].smarts);
  killall();
}

